<template>
  <div
    :id="type"
    class="container mx-auto class">
    <h2
      class="section-title text-gray-800">
      {{ title }}
    </h2>
    <p class="brief">
      {{ brief }}
    </p>

    <div class="buttons">
      <MyButton
        title="INSCREVA-SE"
        :href="subscribeDest" />

      <MyButton
        title="EDITAL"
        :href="editalDest"
        :secondary="true" />
    </div>

    <Timeline :events="events" />

    <p
      class="description">
      {{ description }}
    </p>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component';

import MyButton from '@/components/Button.vue';
import Timeline, { ITimelineEvent } from '@/components/Timeline.vue';

export interface IClass {
  type: string;
  title: string;
  brief: string;
  subscribeDest: string;
  editalDest: string;
  events: ITimelineEvent[];
  description: string;
}

@Component({
  props: {
    type: { type: String, required: true },
    title: { type: String, required: true },
    brief: { type: String, required: true },
    subscribeDest: { type: String, required: true },
    editalDest: { type: String, required: true },
    events: { type: Array, required: true },
    description: { type: String, required: true },
  },
  components: {
    MyButton,
    Timeline,
  }
})
export default class Class extends Vue {}
</script>

<style lang="postcss" scoped>
.class {
  @apply flex flex-col items-center;
  @apply text-gray-800;
}

.buttons {
  @apply h-32 my-4;
  @apply flex flex-col justify-around items-center;
}

.description {
  @apply px-8 py-4;
  @apply text-justify;
}

@screen md {
  .buttons {
    @apply w-full;
    @apply flex-row;
  }
}

@screen lg {
  .brief {
    @apply -mt-8;
  }
}
</style>
